## apt-show-versions 0.09ubuntu1

=== Makefile ===
# This Makefile is for the apt-show-versions extension to perl.
#
# It was generated automatically by MakeMaker version
# 6.17 (Revision: 1.133) from the contents of
# Makefile.PL. Don't edit this file, edit Makefile.PL instead.
#
#       ANY CHANGES MADE HERE WILL BE LOST!
#
#   MakeMaker ARGV: (q[INSTALLDIRS=vendor])
#
#   MakeMaker Parameters:

#     EXE_FILES => [q[./apt-show-versions]]
#     MAN3PODS => {  }
#     NAME => q[apt-show-versions]
#     VERSION_FROM => q[./apt-show-versions]

# --- MakeMaker post_initialize section:


# --- MakeMaker const_config section:

# These definitions are from config.sh (via /usr/lib/perl/5.8/Config.pm)

# They may have been overridden via Makefile.PL or on the command line
AR = ar
CC = cc
CCCDLFLAGS = -fPIC
CCDLFLAGS = -Wl,-E
DLEXT = so
DLSRC = dl_dlopen.xs
LD = cc
LDDLFLAGS = -shared -L/usr/local/lib
LDFLAGS =  -L/usr/local/lib
LIBC = /lib/libc-2.3.5.so
LIB_EXT = .a
OBJ_EXT = .o
OSNAME = linux
OSVERS = 2.6.10
RANLIB = :
SITELIBEXP = /usr/local/share/perl/5.8.7
SITEARCHEXP = /usr/local/lib/perl/5.8.7
SO = so
EXE_EXT = 
FULL_AR = /usr/bin/ar
VENDORARCHEXP = /usr/lib/perl5
VENDORLIBEXP = /usr/share/perl5


# --- MakeMaker constants section:
AR_STATIC_ARGS = cr
DIRFILESEP = /
NAME = apt-show-versions
NAME_SYM = apt_show_versions
VERSION = 0.07
VERSION_MACRO = VERSION
VERSION_SYM = 0_07
DEFINE_VERSION = -D$(VERSION_MACRO)=\"$(VERSION)\"
XS_VERSION = 0.07
XS_VERSION_MACRO = XS_VERSION
XS_DEFINE_VERSION = -D$(XS_VERSION_MACRO)=\"$(XS_VERSION)\"
INST_ARCHLIB = blib/arch
INST_SCRIPT = blib/script
INST_BIN = blib/bin
INST_LIB = blib/lib
INST_MAN1DIR = blib/man1
INST_MAN3DIR = blib/man3
MAN1EXT = 1p
MAN3EXT = 3pm
INSTALLDIRS = vendor
DESTDIR = 
PREFIX = /usr
PERLPREFIX = $(PREFIX)
SITEPREFIX = $(PREFIX)/local
VENDORPREFIX = $(PREFIX)
INSTALLPRIVLIB = $(PERLPREFIX)/share/perl/5.8
DESTINSTALLPRIVLIB = $(DESTDIR)$(INSTALLPRIVLIB)
INSTALLSITELIB = $(SITEPREFIX)/share/perl/5.8.7
DESTINSTALLSITELIB = $(DESTDIR)$(INSTALLSITELIB)
INSTALLVENDORLIB = $(VENDORPREFIX)/share/perl5
DESTINSTALLVENDORLIB = $(DESTDIR)$(INSTALLVENDORLIB)
INSTALLARCHLIB = $(PERLPREFIX)/lib/perl/5.8
DESTINSTALLARCHLIB = $(DESTDIR)$(INSTALLARCHLIB)
INSTALLSITEARCH = $(SITEPREFIX)/lib/perl/5.8.7
DESTINSTALLSITEARCH = $(DESTDIR)$(INSTALLSITEARCH)
INSTALLVENDORARCH = $(VENDORPREFIX)/lib/perl5
DESTINSTALLVENDORARCH = $(DESTDIR)$(INSTALLVENDORARCH)
INSTALLBIN = $(PERLPREFIX)/bin
DESTINSTALLBIN = $(DESTDIR)$(INSTALLBIN)
INSTALLSITEBIN = $(SITEPREFIX)/bin
DESTINSTALLSITEBIN = $(DESTDIR)$(INSTALLSITEBIN)
INSTALLVENDORBIN = $(VENDORPREFIX)/bin
DESTINSTALLVENDORBIN = $(DESTDIR)$(INSTALLVENDORBIN)
INSTALLSCRIPT = $(PERLPREFIX)/bin
DESTINSTALLSCRIPT = $(DESTDIR)$(INSTALLSCRIPT)
INSTALLMAN1DIR = $(PERLPREFIX)/share/man/man1
DESTINSTALLMAN1DIR = $(DESTDIR)$(INSTALLMAN1DIR)
INSTALLSITEMAN1DIR = $(SITEPREFIX)/man/man1
DESTINSTALLSITEMAN1DIR = $(DESTDIR)$(INSTALLSITEMAN1DIR)
INSTALLVENDORMAN1DIR = $(VENDORPREFIX)/share/man/man1
DESTINSTALLVENDORMAN1DIR = $(DESTDIR)$(INSTALLVENDORMAN1DIR)
INSTALLMAN3DIR = $(PERLPREFIX)/share/man/man3
DESTINSTALLMAN3DIR = $(DESTDIR)$(INSTALLMAN3DIR)
INSTALLSITEMAN3DIR = $(SITEPREFIX)/man/man3
DESTINSTALLSITEMAN3DIR = $(DESTDIR)$(INSTALLSITEMAN3DIR)
INSTALLVENDORMAN3DIR = $(VENDORPREFIX)/share/man/man3
DESTINSTALLVENDORMAN3DIR = $(DESTDIR)$(INSTALLVENDORMAN3DIR)
PERL_LIB = /usr/share/perl/5.8
PERL_ARCHLIB = /usr/lib/perl/5.8
LIBPERL_A = libperl.a
FIRST_MAKEFILE = Makefile
MAKEFILE_OLD = $(FIRST_MAKEFILE).old
MAKE_APERL_FILE = $(FIRST_MAKEFILE).aperl
PERLMAINCC = $(CC)
PERL_INC = /usr/lib/perl/5.8/CORE
PERL = /usr/bin/perl
FULLPERL = /usr/bin/perl
ABSPERL = $(PERL)
PERLRUN = $(PERL)
FULLPERLRUN = $(FULLPERL)
ABSPERLRUN = $(ABSPERL)
PERLRUNINST = $(PERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
FULLPERLRUNINST = $(FULLPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
ABSPERLRUNINST = $(ABSPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
PERL_CORE = 0
PERM_RW = 644
PERM_RWX = 755

MAKEMAKER   = /usr/share/perl/5.8/ExtUtils/MakeMaker.pm
MM_VERSION  = 6.17
MM_REVISION = 1.133

# FULLEXT = Pathname for extension directory (eg Foo/Bar/Oracle).
# BASEEXT = Basename part of FULLEXT. May be just equal FULLEXT. (eg Oracle)
# PARENT_NAME = NAME without BASEEXT and no trailing :: (eg Foo::Bar)
# DLBASE  = Basename part of dynamic library. May be just equal BASEEXT.
FULLEXT = apt-show-versions
BASEEXT = versions
PARENT_NAME = 
DLBASE = $(BASEEXT)
VERSION_FROM = ./apt-show-versions
OBJECT = 
LDFROM = $(OBJECT)
LINKTYPE = dynamic

# Handy lists of source code files:
XS_FILES = 
C_FILES  = 
O_FILES  = 
H_FILES  = 
MAN1PODS = ./apt-show-versions
MAN3PODS = 

# Where is the Config information that we are using/depend on
CONFIGDEP = $(PERL_ARCHLIB)$(DIRFILESEP)Config.pm $(PERL_INC)$(DIRFILESEP)config.h

# Where to build things
INST_LIBDIR      = $(INST_LIB)
INST_ARCHLIBDIR  = $(INST_ARCHLIB)

INST_AUTODIR     = $(INST_LIB)/auto/$(FULLEXT)
INST_ARCHAUTODIR = $(INST_ARCHLIB)/auto/$(FULLEXT)

INST_STATIC      = 
INST_DYNAMIC     = 
INST_BOOT        = 

# Extra linker info
EXPORT_LIST        = 
PERL_ARCHIVE       = 
PERL_ARCHIVE_AFTER = 


TO_INST_PM = 

PM_TO_BLIB = 


# --- MakeMaker platform_constants section:
MM_Unix_VERSION = 1.42
PERL_MALLOC_DEF = -DPERL_EXTMALLOC_DEF -Dmalloc=Perl_malloc -Dfree=Perl_mfree -Drealloc=Perl_realloc -Dcalloc=Perl_calloc


# --- MakeMaker tool_autosplit section:
# Usage: $(AUTOSPLITFILE) FileToSplit AutoDirToSplitInto
AUTOSPLITFILE = $(PERLRUN)  -e 'use AutoSplit;  autosplit($$ARGV[0], $$ARGV[1], 0, 1, 1)'



# --- MakeMaker tool_xsubpp section:


# --- MakeMaker tools_other section:
SHELL = /bin/sh
CHMOD = chmod
CP = cp
MV = mv
NOOP = $(SHELL) -c true
NOECHO = @
RM_F = rm -f
RM_RF = rm -rf
TEST_F = test -f
TOUCH = touch
UMASK_NULL = umask 0
DEV_NULL = > /dev/null 2>&1
MKPATH = $(PERLRUN) "-MExtUtils::Command" -e mkpath
EQUALIZE_TIMESTAMP = $(PERLRUN) "-MExtUtils::Command" -e eqtime
ECHO = echo
ECHO_N = echo -n
UNINST = 0
VERBINST = 0
MOD_INSTALL = $(PERLRUN) -MExtUtils::Install -e 'install({@ARGV}, '\''$(VERBINST)'\'', 0, '\''$(UNINST)'\'');'
DOC_INSTALL = $(PERLRUN) "-MExtUtils::Command::MM" -e perllocal_install
UNINSTALL = $(PERLRUN) "-MExtUtils::Command::MM" -e uninstall
WARN_IF_OLD_PACKLIST = $(PERLRUN) "-MExtUtils::Command::MM" -e warn_if_old_packlist


# --- MakeMaker makemakerdflt section:
makemakerdflt: all
	$(NOECHO) $(NOOP)


# --- MakeMaker dist section:
TAR = tar
TARFLAGS = cvf
ZIP = zip
ZIPFLAGS = -r
COMPRESS = gzip --best
SUFFIX = .gz
SHAR = shar
PREOP = $(NOECHO) $(NOOP)
POSTOP = $(NOECHO) $(NOOP)
TO_UNIX = $(NOECHO) $(NOOP)
CI = ci -u
RCS_LABEL = rcs -Nv$(VERSION_SYM): -q
DIST_CP = best
DIST_DEFAULT = tardist
DISTNAME = apt-show-versions
DISTVNAME = apt-show-versions-0.07


# --- MakeMaker macro section:


# --- MakeMaker depend section:


# --- MakeMaker cflags section:


# --- MakeMaker const_loadlibs section:


# --- MakeMaker const_cccmd section:


# --- MakeMaker post_constants section:


# --- MakeMaker pasthru section:

PASTHRU = LIB="$(LIB)"\
	LIBPERL_A="$(LIBPERL_A)"\
	LINKTYPE="$(LINKTYPE)"\
	PREFIX="$(PREFIX)"\
	OPTIMIZE="$(OPTIMIZE)"\
	PASTHRU_DEFINE="$(PASTHRU_DEFINE)"\
	PASTHRU_INC="$(PASTHRU_INC)"


# --- MakeMaker special_targets section:
.SUFFIXES: .xs .c .C .cpp .i .s .cxx .cc $(OBJ_EXT)

.PHONY: all config static dynamic test linkext manifest



# --- MakeMaker c_o section:


# --- MakeMaker xs_c section:


# --- MakeMaker xs_o section:


# --- MakeMaker top_targets section:
all :: pure_all manifypods
	$(NOECHO) $(NOOP)


pure_all :: config pm_to_blib subdirs linkext
	$(NOECHO) $(NOOP)

subdirs :: $(MYEXTLIB)
	$(NOECHO) $(NOOP)

config :: $(FIRST_MAKEFILE) $(INST_LIBDIR)$(DIRFILESEP).exists
	$(NOECHO) $(NOOP)

config :: $(INST_ARCHAUTODIR)$(DIRFILESEP).exists
	$(NOECHO) $(NOOP)

config :: $(INST_AUTODIR)$(DIRFILESEP).exists
	$(NOECHO) $(NOOP)

$(INST_AUTODIR)/.exists :: /usr/lib/perl/5.8/CORE/perl.h
	$(NOECHO) $(MKPATH) $(INST_AUTODIR)
	$(NOECHO) $(EQUALIZE_TIMESTAMP) /usr/lib/perl/5.8/CORE/perl.h $(INST_AUTODIR)/.exists

	-$(NOECHO) $(CHMOD) $(PERM_RWX) $(INST_AUTODIR)

$(INST_LIBDIR)/.exists :: /usr/lib/perl/5.8/CORE/perl.h
	$(NOECHO) $(MKPATH) $(INST_LIBDIR)
	$(NOECHO) $(EQUALIZE_TIMESTAMP) /usr/lib/perl/5.8/CORE/perl.h $(INST_LIBDIR)/.exists

	-$(NOECHO) $(CHMOD) $(PERM_RWX) $(INST_LIBDIR)

$(INST_ARCHAUTODIR)/.exists :: /usr/lib/perl/5.8/CORE/perl.h
	$(NOECHO) $(MKPATH) $(INST_ARCHAUTODIR)
	$(NOECHO) $(EQUALIZE_TIMESTAMP) /usr/lib/perl/5.8/CORE/perl.h $(INST_ARCHAUTODIR)/.exists

	-$(NOECHO) $(CHMOD) $(PERM_RWX) $(INST_ARCHAUTODIR)

config :: $(INST_MAN1DIR)$(DIRFILESEP).exists
	$(NOECHO) $(NOOP)


$(INST_MAN1DIR)/.exists :: /usr/lib/perl/5.8/CORE/perl.h
	$(NOECHO) $(MKPATH) $(INST_MAN1DIR)
	$(NOECHO) $(EQUALIZE_TIMESTAMP) /usr/lib/perl/5.8/CORE/perl.h $(INST_MAN1DIR)/.exists

	-$(NOECHO) $(CHMOD) $(PERM_RWX) $(INST_MAN1DIR)

help:
	perldoc ExtUtils::MakeMaker


# --- MakeMaker linkext section:

linkext :: $(LINKTYPE)
	$(NOECHO) $(NOOP)


# --- MakeMaker dlsyms section:


# --- MakeMaker dynamic section:

dynamic :: $(FIRST_MAKEFILE) $(INST_DYNAMIC) $(INST_BOOT)
	$(NOECHO) $(NOOP)


# --- MakeMaker dynamic_bs section:

BOOTSTRAP =


# --- MakeMaker dynamic_lib section:


# --- MakeMaker static section:

## $(INST_PM) has been moved to the all: target.
## It remains here for awhile to allow for old usage: "make static"
static :: $(FIRST_MAKEFILE) $(INST_STATIC)
	$(NOECHO) $(NOOP)


# --- MakeMaker static_lib section:


# --- MakeMaker manifypods section:

POD2MAN_EXE = $(PERLRUN) "-MExtUtils::Command::MM" -e pod2man "--"
POD2MAN = $(POD2MAN_EXE)


manifypods : pure_all  \
	./apt-show-versions
	$(NOECHO) $(POD2MAN) --section=$(MAN1EXT) --perm_rw=$(PERM_RW)\
	  ./apt-show-versions $(INST_MAN1DIR)/apt-show-versions.$(MAN1EXT) 




# --- MakeMaker processPL section:


# --- MakeMaker installbin section:

$(INST_SCRIPT)/.exists :: /usr/lib/perl/5.8/CORE/perl.h
	$(NOECHO) $(MKPATH) $(INST_SCRIPT)
	$(NOECHO) $(EQUALIZE_TIMESTAMP) /usr/lib/perl/5.8/CORE/perl.h $(INST_SCRIPT)/.exists

	-$(NOECHO) $(CHMOD) $(PERM_RWX) $(INST_SCRIPT)

EXE_FILES = ./apt-show-versions

FIXIN = $(PERLRUN) "-MExtUtils::MY" -e "MY->fixin(shift)"

pure_all :: $(INST_SCRIPT)/apt-show-versions
	$(NOECHO) $(NOOP)

realclean ::
	$(RM_F) $(INST_SCRIPT)/apt-show-versions

$(INST_SCRIPT)/apt-show-versions: ./apt-show-versions $(FIRST_MAKEFILE) $(INST_SCRIPT)/.exists
	$(NOECHO) $(RM_F) $(INST_SCRIPT)/apt-show-versions
	$(CP) ./apt-show-versions $(INST_SCRIPT)/apt-show-versions
	$(FIXIN) $(INST_SCRIPT)/apt-show-versions
	-$(NOECHO) $(CHMOD) $(PERM_RWX) $(INST_SCRIPT)/apt-show-versions


# --- MakeMaker subdirs section:

# none

# --- MakeMaker clean_subdirs section:
clean_subdirs :
	$(NOECHO) $(NOOP)


# --- MakeMaker clean section:

# Delete temporary files but do not touch installed files. We don't delete
# the Makefile here so a later make realclean still has a makefile to use.

clean :: clean_subdirs
	-$(RM_RF) ./blib $(MAKE_APERL_FILE) $(INST_ARCHAUTODIR)/extralibs.all $(INST_ARCHAUTODIR)/extralibs.ld perlmain.c tmon.out mon.out so_locations pm_to_blib *$(OBJ_EXT) *$(LIB_EXT) perl.exe perl perl$(EXE_EXT) $(BOOTSTRAP) $(BASEEXT).bso $(BASEEXT).def lib$(BASEEXT).def $(BASEEXT).exp $(BASEEXT).x core core.*perl.*.? *perl.core core.[0-9] core.[0-9][0-9] core.[0-9][0-9][0-9] core.[0-9][0-9][0-9][0-9] core.[0-9][0-9][0-9][0-9][0-9]
	-$(MV) $(FIRST_MAKEFILE) $(MAKEFILE_OLD) $(DEV_NULL)


# --- MakeMaker realclean_subdirs section:
realclean_subdirs :
	$(NOECHO) $(NOOP)


# --- MakeMaker realclean section:

# Delete temporary files (via clean) and also delete installed files
realclean purge ::  clean realclean_subdirs
	$(RM_RF) $(INST_AUTODIR) $(INST_ARCHAUTODIR)
	$(RM_RF) $(DISTVNAME)
	$(RM_F)  $(MAKEFILE_OLD) $(FIRST_MAKEFILE)


# --- MakeMaker metafile section:
metafile :
	$(NOECHO) $(ECHO) '# http://module-build.sourceforge.net/META-spec.html' > META.yml
	$(NOECHO) $(ECHO) '#XXXXXXX This is a prototype!!!  It will change in the future!!! XXXXX#' >> META.yml

## apt-show-versions 0.03

=== debian/changelog ===
apt-show-versions (0.03) unstable; urgency=low

  * make option --brief work also with uptodate packages
  * quote $release correctly to catch non alphanumeric charachters
    (closes: bug#127675)
  * compare nondigits correctly according to Debian policy (closes:
    bug#127559)
  * include proposed-updates in list of defined Releases (closes:
    bug#127744) 

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Sun, 13 Jan 2002 14:58:46 +0100

apt-show-versions (0.02) unstable; urgency=low

  * add optional depends on perl-5.005 or perl-5.004 to make it usable
    with older version of perl
  * Fix typo of available (closes: Bug#123253)
  * Add doku for option -u to manpage (closes: Bug#123293)
  * Print versions also for uninstalled packages if using option -p
  * add support for regex match while using option -p

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Tue, 11 Dec 2001 14:34:23 +0100

apt-show-versions (0.01) unstable; urgency=low

  * Initial Release.
  * Closes: Bug#122387

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Tue,  4 Dec 2001 16:02:17 +0100

=== debian/control ===
Source: apt-show-versions
Section: admin
Priority: optional
Maintainer: Christoph Martin <christoph.martin@uni-mainz.de>
Build-Depends-Indep: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: apt-show-versions
Architecture: all
Depends: ${perl:Depends} | perl-5.005 | perl-5.004, apt
Description: Lists available package versions with distribution
 apt-show-versions parses the dpkg status file and the APT lists for
 the installed and available package versions and distribution and
 shows upgrade options within the specific distribution of the selected
 package.
 .
 This is really useful if you have a mixed stable/testing environment
 and want to list all packages which are from testing and can be
 upgraded in testing.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	perl Makefile.PL INSTALLDIRS=vendor

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/apt-show-versions.sgml > apt-show-versions.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) realclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/apt-show-versions.
	$(MAKE) install PREFIX=$(CURDIR)/debian/apt-show-versions/usr


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## apt-show-versions 0.07

=== debian/changelog ===
apt-show-versions (0.07) unstable; urgency=low

  * fix bug in version comparison which lead to false output (closes:
    #225468) 
  * run apt-show-versions -i at configure time to initialize cache

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Tue, 24 Feb 2004 15:59:30 +0100

apt-show-versions (0.06) unstable; urgency=low

  * add dependency on libstorable-perl (closes: #225034)
  * remove old cache files if initializing (closes: #225468, #229767)
  * cron.daily checks if apt-show-versions is installed (closes: #225245)
  * check for corrupt cache files (closes: #228988)
  * correct version number in help (closes: #219742)
  * correct spelling error in manpage (closes: #230054)
  * include spanish and french manpage (closes: #197397, #231581)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Fri, 20 Feb 2004 15:12:43 +0100

apt-show-versions (0.05) unstable; urgency=low

  * fix email address in copyright file
  * fix typo in manpage and correct the POD syntax (closes: #196657)
  * include patch from Emmanuel Lacour to use libapt-pkg-perl
  * try to guess release from pathname of packages file if no Release file
    is present
  * introduce package and status cache for speedup (closes: #172110)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Fri,  7 Nov 2003 18:08:05 +0100

apt-show-versions (0.04) unstable; urgency=low

  * not including /usr/lib and /usr/share/perl5 (closes: #152414)
  * fix reference to apt(8) manpage (closes: #151653)
  * optionaly don't print packages which are no hold (closes: #161376)
  * consider also non-standard releases (closes: #154245)
  * print correct message if installed version is newer than newest in
    archive (closes: #160583)
  * don't ignore silently extra arguments (closes: #133789)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Mon, 23 Sep 2002 16:24:34 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Christoph Martin <christoph.martin@uni-mainz.de>
 Build-Depends-Indep: debhelper (>> 3.0.0)
-Standards-Version: 3.5.2
+Standards-Version: 3.5.7
 
 Package: apt-show-versions
 Architecture: all
-Depends: ${perl:Depends} | perl-5.005 | perl-5.004, apt
+Depends: ${perl:Depends} | perl-5.005 | perl-5.004, apt, libapt-pkg-perl, libstorable-perl
 Description: Lists available package versions with distribution
  apt-show-versions parses the dpkg status file and the APT lists for
  the installed and available package versions and distribution and

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,10 @@
 	# Add here commands to compile the package.
 	$(MAKE)
 	#/usr/bin/docbook-to-man debian/apt-show-versions.sgml > apt-show-versions.1
-
+	for i in man/apt-show-versions.*.pod;\
+		do echo Manifying $$i;\
+		pod2man -v $$i `echo $$i | sed "s/pod//"`1;\
+	done
 	touch build-stamp
 
 clean:
@@ -34,6 +37,7 @@
 
 	# Add here commands to clean up after the build process.
 	-$(MAKE) realclean
+	rm -f man/apt-show-versions.*.1
 
 	dh_clean
 
@@ -45,7 +49,7 @@
 
 	# Add here commands to install the package into debian/apt-show-versions.
 	$(MAKE) install PREFIX=$(CURDIR)/debian/apt-show-versions/usr
-
+	rm -fr debian/apt-show-versions/usr/lib debian/apt-show-versions/usr/share/perl5
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -65,7 +69,7 @@
 #	dh_installmime
 #	dh_installinit
 	dh_installcron
-	dh_installman
+	dh_installman man/apt-show-versions.*.1
 	dh_installinfo
 #	dh_undocumented
 	dh_installchangelogs

## apt-show-versions 0.08

=== debian/changelog ===
apt-show-versions (0.08) unstable; urgency=low

  * switch to po4a to ease manpage translation (closes: #271107)
  * update spanish translation (closes: #239910)
  * really only print messages about upgradable packages is brief mode
    (closes: #238170)
  * fix handling of multiple package versions in one Packages file
    (closes: #273932)
  * fix checking for cache files (check if creation time not modification
    time is newer than cache file) (closes: #225205, #234704, #272076,
    #284689)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Sun,  6 Mar 2005 16:37:49 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: admin
 Priority: optional
 Maintainer: Christoph Martin <christoph.martin@uni-mainz.de>
-Build-Depends-Indep: debhelper (>> 3.0.0)
-Standards-Version: 3.5.7
+Build-Depends-Indep: debhelper (>> 3.0.0), po4a
+Standards-Version: 3.6.1
 
 Package: apt-show-versions
 Architecture: all
 Depends: ${perl:Depends} | perl-5.005 | perl-5.004, apt, libapt-pkg-perl, libstorable-perl
-Description: Lists available package versions with distribution
+Description: lists available package versions with distribution
  apt-show-versions parses the dpkg status file and the APT lists for
  the installed and available package versions and distribution and
  shows upgrade options within the specific distribution of the selected

=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,7 @@
 
 	# Add here commands to compile the package.
 	$(MAKE)
+	po4a man/po4a.cfg
 	#/usr/bin/docbook-to-man debian/apt-show-versions.sgml > apt-show-versions.1
 	for i in man/apt-show-versions.*.pod;\
 		do echo Manifying $$i;\
@@ -37,7 +38,7 @@
 
 	# Add here commands to clean up after the build process.
 	-$(MAKE) realclean
-	rm -f man/apt-show-versions.*.1
+	rm -f man/apt-show-versions.*.1 man/apt-show-versions.*.pod
 
 	dh_clean

## apt-show-versions 0.09ubuntu1

=== debian/changelog ===
apt-show-versions (0.09ubuntu1) dapper; urgency=low

  * Include patch from Alan Tam to match ubuntu's release names
    (closes: lp#732, lp#30526, lp#37820).

 -- Stefan Potyra <sistpoty@ubuntu.com>  Fri, 26 May 2006 13:26:40 +0200

apt-show-versions (0.09) unstable; urgency=low

  * include etch and experimental as releases (closes: #316620)
  * fix typos in manpage (closes: #307027)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Thu, 28 Jul 2005 16:26:41 +0200

## apt-show-versions 0.10

=== debian/changelog ===
apt-show-versions (0.10) unstable; urgency=low

  * use full patch of apt-show-versions in postinsts (closes: #352960)
  * fix version compare with epochs (closes: #376835)
  * remove /var/cache/apt-show-versions on remove (closes: #321398, #326235)
  * read official release from apt.conf and use this as "best" release
    (closes: #323214) (quick fix, needs more work)
  * added svedish translation template (closes: #332465)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Wed,  9 Aug 2006 10:51:38 +0200

## apt-show-versions 0.10ubuntu1

=== debian/changelog ===
apt-show-versions (0.10ubuntu1) edgy; urgency=low

  * Merge from debian unstable.
  * Add edgy to the list of release names.

 -- Jeremie Corbier <jcorbier@ubuntu.com>  Sun, 13 Aug 2006 12:17:03 +0200

## apt-show-versions 0.10ubuntu2

=== debian/changelog ===
apt-show-versions (0.10ubuntu2) feisty; urgency=low

  * Add feisty to list of release names as well. Thanks to 
    Mikael Nilsson for the patch (closes lp#732). 

 -- Stefan Potyra <sistpoty@ubuntu.com>  Mon, 11 Dec 2006 22:33:27 +0100

## apt-show-versions 0.10ubuntu3

=== debian/changelog ===
apt-show-versions (0.10ubuntu3) gutsy; urgency=low

  * Add gutsy to the list of releases. (LP: #115065)
  * Replace Maintainer field.

 -- William Grant <william.grant@ubuntu.org.au>  Thu, 17 May 2007 18:11:04 +1000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: apt-show-versions
 Section: admin
 Priority: optional
-Maintainer: Christoph Martin <christoph.martin@uni-mainz.de>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Christoph Martin <christoph.martin@uni-mainz.de>
 Build-Depends-Indep: debhelper (>> 3.0.0), po4a
 Standards-Version: 3.6.1

## apt-show-versions 0.12ubuntu2

=== debian/changelog ===
apt-show-versions (0.12ubuntu2) hardy; urgency=low

  * apt-show-versions: add Intrepid to releases names list. (LP: #193701)

 -- Andrea Colangelo <warp10@ubuntu.com>  Sun, 06 Apr 2008 16:19:38 +0200

apt-show-versions (0.12ubuntu1) hardy; urgency=low

  * Merge from Debian unstable (LP: #180441). Remaining Ubuntu changes:
    - apt-show-versions: add Ubuntu releases to release names list.
  * debian/ubuntu-patches/10_releases.patch: update to current Ubuntu releases.
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

 -- Andrea Colangelo <warp10@libero.it>  Wed, 09 Jan 2008 09:03:20 +0100

apt-show-versions (0.12) unstable; urgency=low

  [ Andreas Hoenen ]
  * Add lenny to list of known releases names.  (Closes: #457916)
  * debian/copyright:
    Actualize the location of the license file: GPL-2.
  * debian/control:
    Upgrade Standards-Version: 3.7.3 (no changes needed)
  * debian/rules:
    - Remove commented binary-arch actions.
    - Move the binary-arch actions to binary-indep, as apt-show-versions is an
      architecture independent package.

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Wed,  2 Jan 2008 18:02:41 +0100

apt-show-versions (0.11) unstable; urgency=low

  [ Andreas Hoenen ]
  * Make apt-show-versions aware of the package pins in
    /etc/apt/preferences.  (Closes: #363104, #426746)
  * Support multiple package names as arguments.  (Closes: #373811)
  * Provide bash completion.  (Closes: #346213)
  * Manual page / pod documentation:
    - Actualize manual page regarding multiple package names support.
    - Adapt po files regarding manual page changes.
    - Remove static files man/apt-show-versions.pod and
      man/po/apt-show-versions.pot, as they get generated at build time.
  * Actualize FSF address in debian/copyright.
  * Bump Standards-Version to 3.7.2 (no changes necessary).
  * debhelper:
    - Upgrade to debhelper compatibility level 5.
    - Move dependency on debhelper from Build-Depends-Indep to Build-Depends.
  * debian/rules:
    - Improve error handling of realclean command.
    - Comment superfluous dh_ calls.
    - Make po4a call verbose.
  * debian/control:
    Add fields:
    - Vcs-Browser
    - Vcs-Svn
  * Add myself to uploaders.  (Closes: #382026)

  [ Christoph Martin ]
  * Prepare for release

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Mon,  3 Dec 2007 13:06:12 +0100

apt-show-versions (0.10ubuntu4) hardy; urgency=low

  * Add Hardy to the list of release names. (LP: #162091) 

 -- Andrea Colangelo <warp10@libero.it>  Sun, 11 Nov 2007 23:38:11 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,16 @@
 Priority: optional
 Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
 XSBC-Original-Maintainer: Christoph Martin <christoph.martin@uni-mainz.de>
-Build-Depends-Indep: debhelper (>> 3.0.0), po4a
-Standards-Version: 3.6.1
+Uploaders: Andreas Hoenen <andreas.hoenen@arcor.de>
+Build-Depends: debhelper (>= 5)
+Build-Depends-Indep: po4a
+Standards-Version: 3.7.3
+Vcs-Browser: http://svn.debian.org/wsvn/pkg-asv
+Vcs-Svn: svn://svn.debian.org/pkg-asv/
 
 Package: apt-show-versions
 Architecture: all
-Depends: ${perl:Depends} | perl-5.005 | perl-5.004, apt, libapt-pkg-perl, libstorable-perl
+Depends: ${perl:Depends} | perl-5.005 | perl-5.004, apt, libapt-pkg-perl (>= 0.1.21), libstorable-perl
 Description: lists available package versions with distribution
  apt-show-versions parses the dpkg status file and the APT lists for
  the installed and available package versions and distribution and

## apt-show-versions 0.13

=== debian/changelog ===
apt-show-versions (0.13) unstable; urgency=low

  [ Andreas Hoenen ]
  * Replace hardcoded list of supported release names by dynamic determination
    of used release names.  This enables (among others) automatic support for
    oldstable and for unofficial repositories.
    (Closes: #161934, #165883, #200274, #344262, #396216, #475880)
  * Improve output format of option -a:
    - Avoid repetition of the default-release version.
    - Strictly sort versions by version number as primary criterion.
    - Enforce tabular layout.
    - Add an archive column to output.
  * Sort output by package names.
  * If specified package is not only not installed, but even not available
    (e.g. a misspelled package name), dump an accordant comment.
  * When called with exactly one package and upgradeable option set for a
    package that actually is not upgradeable, return with non zero exit code.
    (Closes: #464047)
  * Correct combination of upgradeable and allversions options: If a package is
    not upgradeable, without regard of allversions option nothing gets printed
    for it.
  * Add --regex-all variation of option --regex: also show matching packages
    which are not installed.
    (Closes: #460272)
  * Actualize french manual page.  Thanks, Jean-Baka Domelevo Entfellner.
    (Closes: #460631)
  * Actualize swedish manual page.  Thanks, Daniel Nylander.
    (Closes: #470379)
  * Actualize spanish manual page.  Thanks, Rubén Porras Campo.
    (Closes: #470765)
  * Actualize FSF address in a-s-v script.
  * Actualize my mail address in debian/control.

  [ Christoph Martin ]
  * call closedir from correct position (closes: #479255)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Thu,  8 May 2008 16:03:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: apt-show-versions
 Section: admin
 Priority: optional
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christoph Martin <christoph.martin@uni-mainz.de>
-Uploaders: Andreas Hoenen <andreas.hoenen@arcor.de>
+Maintainer: Christoph Martin <christoph.martin@uni-mainz.de>
+Uploaders: Andreas Hoenen <andreas@hoenen-terstappen.de>
 Build-Depends: debhelper (>= 5)
 Build-Depends-Indep: po4a
 Standards-Version: 3.7.3

## apt-show-versions 0.14~bpo40+1

=== debian/changelog ===
apt-show-versions (0.14~bpo40+1) etch-backports; urgency=low

  * Backport testing version for backports.org
  * Change versioned build-dep on libapt-pkg-perl to version in
    backports.org (>= 0.1.21~bpo40+1)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Fri,  5 Sep 2008 16:26:23 +0200

apt-show-versions (0.14) unstable; urgency=low

  [ Andreas Hoenen ]
  * Consider manual upgrade possibilities when no policy driven, automatic
    upgrade is possible.
  * Add german manpage.  Thanks, Helge Kreutzmann.  (Closes: #480368)
  * Add vietnamese manpage.  Thanks, Clytie Siddall.  (Closes: #480491)
  * debian/control:
    Upgrade Standards-Version: 3.8.0 (no changes needed)

 -- Christoph Martin <Christoph.Martin@uni-mainz.de>  Tue, 19 Aug 2008 10:25:24 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders: Andreas Hoenen <andreas@hoenen-terstappen.de>
 Build-Depends: debhelper (>= 5)
 Build-Depends-Indep: po4a
-Standards-Version: 3.7.3
+Standards-Version: 3.8.0
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-asv
 Vcs-Svn: svn://svn.debian.org/pkg-asv/
 
 Package: apt-show-versions
 Architecture: all
-Depends: ${perl:Depends} | perl-5.005 | perl-5.004, apt, libapt-pkg-perl (>= 0.1.21), libstorable-perl
+Depends: ${perl:Depends} | perl-5.005 | perl-5.004, apt, libapt-pkg-perl (>= 0.1.21~bpo40+1), libstorable-perl
 Description: lists available package versions with distribution
  apt-show-versions parses the dpkg status file and the APT lists for
  the installed and available package versions and distribution and

## apt-show-versions 0.15

=== debian/changelog ===
apt-show-versions (0.15) unstable; urgency=low

  [ Christoph Martin ]
  * call apt-show-versions without path in cron.daily

  [ Andreas Hoenen ]
  * Also consider manual upgrade possibilities when upgradeable option is set.
    Thanks to Anders Boström for reporting.  (Closes: #498699)
  * Remove path from a-s-v call in postinst.  Thanks, lintian.

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Tue, 16 Sep 2008 10:23:46 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: apt-show-versions
 Architecture: all
-Depends: ${perl:Depends} | perl-5.005 | perl-5.004, apt, libapt-pkg-perl (>= 0.1.21~bpo40+1), libstorable-perl
+Depends: ${perl:Depends} | perl-5.005 | perl-5.004, apt, libapt-pkg-perl (>= 0.1.21), libstorable-perl
 Description: lists available package versions with distribution
  apt-show-versions parses the dpkg status file and the APT lists for
  the installed and available package versions and distribution and

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-# This is the debhelper compatability version to use.
-export DH_COMPAT=3
 
 configure: configure-stamp
 configure-stamp:
@@ -23,7 +20,8 @@
 
 	# Add here commands to compile the package.
 	$(MAKE)
-	po4a man/po4a.cfg
+	podselect apt-show-versions > man/apt-show-versions.pod
+	po4a --verbose man/po4a.cfg
 	#/usr/bin/docbook-to-man debian/apt-show-versions.sgml > apt-show-versions.1
 	for i in man/apt-show-versions.*.pod;\
 		do echo Manifying $$i;\
@@ -37,8 +35,8 @@
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) realclean
-	rm -f man/apt-show-versions.*.1 man/apt-show-versions.*.pod
+	[ ! -f Makefile ] || $(MAKE) realclean
+	rm -f man/apt-show-versions.* man/po/apt-show-versions.pot
 
 	dh_clean
 
@@ -54,37 +52,26 @@
 
 # Build architecture-independent files here.
 binary-indep: build install
-# We have nothing to do by default.
-
-# Build architecture-dependent files here.
-binary-arch: build install
 	dh_testdir
 	dh_testroot
-#	dh_installdebconf	
 	dh_installdocs
-	dh_installexamples
-	dh_installmenu
-#	dh_installlogrotate
-#	dh_installemacsen
-#	dh_installpam
-#	dh_installmime
-#	dh_installinit
 	dh_installcron
 	dh_installman man/apt-show-versions.*.1
-	dh_installinfo
-#	dh_undocumented
 	dh_installchangelogs 
-	dh_link
-	dh_strip
+	install --preserve-timestamps --mode=644 \
+                apt-show-versions.bash_completion \
+                $(CURDIR)/debian/apt-show-versions/etc/bash_completion.d/apt-show-versions
 	dh_compress
 	dh_fixperms
-#	dh_makeshlibs
 	dh_installdeb
 	dh_perl
-	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
 
+# Build architecture-dependent files here.
+binary-arch: build install
+# We have nothing to do by default.
+
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install configure

## apt-show-versions 0.16

=== debian/changelog ===
apt-show-versions (0.16) unstable; urgency=low

  [ Andreas Hoenen ]
  * Harden code regarding releases for which properties like their name are
    unknown, thus avoiding perl warnings about uninitialized values.  Thanks to
    John V. Belmonte and Anders Boström for reporting.  (Closes: #515328)
  * Fix manpage encoding: create UTF-8 manpages for all supported languages.
    Thanks to Vincent Danjean for reporting and the patch.  (Closes: #524577)
  * Fix function name in bash completion file in order to become POSIX
    compliant and to work for Bash 2.  Thanks to Emilio Pozuelo Monfort for
    reporting and the patch.  (Closes: #531608)
  * Change version variables' names in a-s-v script, thus ExtUtils::MakeMaker
    succeeds in version extraction.
  * debian/control:
    Upgrade Standards-Version: 3.8.1 (no changes needed)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Fri, 19 Jun 2009 17:47:57 +0200

## apt-show-versions 0.16+squeeze1

=== debian/changelog ===
apt-show-versions (0.16+squeeze1) stable; urgency=low

  * Non-maintainer upload.
  * Fix bug which caused squeeze-updates and squeeze to mask each other.
    Thanks to Dominic Hargreaves. (Closes: #623252)
  * Update the list of official suites.

 -- Philipp Kern <pkern@debian.org>  Thu, 27 Dec 2012 20:10:26 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Andreas Hoenen <andreas@hoenen-terstappen.de>
 Build-Depends: debhelper (>= 5)
 Build-Depends-Indep: po4a
-Standards-Version: 3.8.0
+Standards-Version: 3.8.1
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-asv
 Vcs-Svn: svn://svn.debian.org/pkg-asv/

## apt-show-versions 0.17

=== debian/changelog ===
apt-show-versions (0.17) unstable; urgency=low

  * recognise new InRelease files (closes: #612765, #613949)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Fri, 18 Feb 2011 14:34:48 +0100

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 	#/usr/bin/docbook-to-man debian/apt-show-versions.sgml > apt-show-versions.1
 	for i in man/apt-show-versions.*.pod;\
 		do echo Manifying $$i;\
-		pod2man -v $$i `echo $$i | sed "s/pod//"`1;\
+		pod2man --utf8 -v $$i `echo $$i | sed "s/pod//"`1;\
 	done
 	touch build-stamp

## apt-show-versions 0.19+nmu1~bpo60+1

=== debian/changelog ===
apt-show-versions (0.19+nmu1~bpo60+1) squeeze-backports; urgency=low

  * Backport to squeeze-backports.
  * Add myself to Uploaders.

 -- Micah Anderson <micah@debian.org>  Fri, 12 Oct 2012 17:17:02 -0400

apt-show-versions (0.19+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Add an apt hook to update the apt cache (Closes: #685439)
  * Add experimental to the list of official suites

 -- Paul Wise <pabs@debian.org>  Tue, 02 Oct 2012 14:12:03 +0800

apt-show-versions (0.19) unstable; urgency=low

  * add homepage url to contol file (closes: #617856)
  * add Slovak translation (sk) (closes: #677483)
  * update German translation (de) (closes: #677652)
  * add Danish translation (dk) (closes: #677719)
  * update Frensh translation (fr) (closes: #678397)
  * add Galician translation (gl) (closes: #678663)
  * update Spanish translation (es) (closes: #678892)
  * add Italian translation (it) (closes: #679159)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Fri, 24 Aug 2012 16:15:56 +0200

apt-show-versions (0.18) unstable; urgency=low

  * Fix bug which caused squeeze-updates and squeeze to mask each other
    (closes: #623252)
  * Clarify documentation (closes: #633860, #611433)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Tue, 12 Jun 2012 17:47:30 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Christoph Martin <christoph.martin@uni-mainz.de>
-Uploaders: Andreas Hoenen <andreas@hoenen-terstappen.de>
+Uploaders: Andreas Hoenen <andreas@hoenen-terstappen.de>,
+ Micah Anderson <micah@debian.org>
 Build-Depends: debhelper (>= 5)
 Build-Depends-Indep: po4a
 Standards-Version: 3.8.1
@@ -21,3 +22,4 @@
  This is really useful if you have a mixed stable/testing environment
  and want to list all packages which are from testing and can be
  upgraded in testing.
+Homepage: http://alioth.debian.org/projects/pkg-asv/

=== debian/rules ===
--- 
+++ 
@@ -49,6 +49,8 @@
 	# Add here commands to install the package into debian/apt-show-versions.
 	$(MAKE) install PREFIX=$(CURDIR)/debian/apt-show-versions/usr
 	rm -fr debian/apt-show-versions/usr/lib debian/apt-show-versions/usr/share/perl5
+	install -D --mode=644 debian/apt-show-versions.apt.conf \
+                $(CURDIR)/debian/apt-show-versions/etc/apt/apt.conf.d/20apt-show-versions
 
 # Build architecture-independent files here.
 binary-indep: build install

## apt-show-versions 0.20

=== debian/changelog ===
apt-show-versions (0.20) unstable; urgency=low

  * fix race condition in parallel build mode. (Closes: #689681)
  * add stable-updates testing-proposed-updates and testing-updates to
    list of official suites

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Fri, 26 Oct 2012 20:59:14 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Christoph Martin <christoph.martin@uni-mainz.de>
-Uploaders: Andreas Hoenen <andreas@hoenen-terstappen.de>,
- Micah Anderson <micah@debian.org>
+Uploaders: Andreas Hoenen <andreas@hoenen-terstappen.de>
 Build-Depends: debhelper (>= 5)
 Build-Depends-Indep: po4a
 Standards-Version: 3.8.1

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	touch configure-stamp
 
 build: configure-stamp build-stamp
-build-stamp:
+build-stamp: configure-stamp
 	dh_testdir
 
 	# Add here commands to compile the package.

## apt-show-versions 0.22.2

=== debian/changelog ===
apt-show-versions (0.22.2) unstable; urgency=low

  * fix display for not installed packages (thanks to Greg Klanderman
    <gak@klanderman.net>) (closes: #715314)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Tue, 27 Aug 2013 10:40:41 +0200

apt-show-versions (0.22.1) unstable; urgency=low

  * fix postinst for new installs (closes: #714563)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Tue, 02 Jul 2013 11:21:37 +0200

apt-show-versions (0.22) unstable; urgency=low

  * fix postinst to not fail if old cache files are absent (closes:
    #712911)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Fri, 21 Jun 2013 11:59:24 +0200

apt-show-versions (0.21) unstable; urgency=low

  * add support for multiarch (Closes: #696655) thanks to
    Greg Klanderman <gak@klanderman.net>
  * fix storable byteorder problem (Closes: #626867)
  * fix bash completion (Closes: #680663)
  * debian/NEWS: added about multiarch
  * explicitly set umask to 0022 in postinstall to assure readable cache
    files (Closes: #706083)
  * change ordering of fields to consistently show version is second
    column (Closes: #611435)
  * add $misc:Depends to control
  * conform to standards version 3.9.3 (no changes)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Fri, 21 Jun 2013 11:57:59 +0200

## apt-show-versions 0.22.3

=== debian/changelog ===
apt-show-versions (0.22.3) unstable; urgency=low

  * fix =item usage in .pod documentation to follow pod2man change
    (closes: #724091)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Mon, 30 Sep 2013 13:53:10 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders: Andreas Hoenen <andreas@hoenen-terstappen.de>
 Build-Depends: debhelper (>= 5)
 Build-Depends-Indep: po4a
-Standards-Version: 3.8.1
+Standards-Version: 3.9.3
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-asv
 Vcs-Svn: svn://svn.debian.org/pkg-asv/
 
 Package: apt-show-versions
 Architecture: all
-Depends: ${perl:Depends} | perl-5.005 | perl-5.004, apt, libapt-pkg-perl (>= 0.1.21), libstorable-perl
+Depends: ${misc:Depends}, ${perl:Depends} | perl-5.005 | perl-5.004, apt, libapt-pkg-perl (>= 0.1.21), libstorable-perl
 Description: lists available package versions with distribution
  apt-show-versions parses the dpkg status file and the APT lists for
  the installed and available package versions and distribution and

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,9 @@
 
 	touch configure-stamp
 
-build: configure-stamp build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp: configure-stamp
 	dh_testdir
 
@@ -47,7 +49,7 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/apt-show-versions.
-	$(MAKE) install PREFIX=$(CURDIR)/debian/apt-show-versions/usr
+	$(MAKE) install DESTDIR=$(CURDIR)/debian/apt-show-versions/
 	rm -fr debian/apt-show-versions/usr/lib debian/apt-show-versions/usr/share/perl5
 	install -D --mode=644 debian/apt-show-versions.apt.conf \
                 $(CURDIR)/debian/apt-show-versions/etc/apt/apt.conf.d/20apt-show-versions
@@ -76,4 +78,4 @@
 # We have nothing to do by default.
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install configure
+.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install configure

## apt-show-versions 0.22.4

=== debian/changelog ===
apt-show-versions (0.22.4) unstable; urgency=medium

  [ Christoph Martin ]
  * fix "keys on reference is experimental" Warning with perl 5.20
    (closes: #758287)
  * fix bash completion to complete to all packages (not only installed )
    (closes: #664474)
  * change code example to use grep instead of fgrep (closes: #732379)
  * update German translation (closes: #733662)
  * add Portuguese translation (closes: #733765)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Thu, 28 Aug 2014 17:32:49 +0200

## apt-show-versions 0.22.7

=== debian/changelog ===
apt-show-versions (0.22.7) unstable; urgency=medium

  * fix unitialized value bug (closes: #768534)
  * fix no available version in archive bug (closes: #768978)

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 21 Jan 2015 21:50:39 +0100

apt-show-versions (0.22.6) unstable; urgency=medium

  * add French translation update (closes: #767876)

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 04 Nov 2014 15:57:46 +0100

apt-show-versions (0.22.5) unstable; urgency=medium

  [ Christoph Martin ]
  * fix not showing available versions if pkg not installed (thanks to
    Ross Vandegrift <ross@kallisti.us>) (closes: #725107, #715314)
  * fix sorting of versions for correct output of current version (thanks
    to debianuser01@free.fr )(closes: #730338, #613965)
  * add --version option (closes: #725963)
  * remove redundant version information in source
  * add German translation update (closes: #765178)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Tue, 04 Nov 2014 15:29:50 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Andreas Hoenen <andreas@hoenen-terstappen.de>
 Build-Depends: debhelper (>= 5)
 Build-Depends-Indep: po4a
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-asv
 Vcs-Svn: svn://svn.debian.org/pkg-asv/

## apt-show-versions 0.22.7ubuntu1

=== debian/changelog ===
apt-show-versions (0.22.7ubuntu1) zesty; urgency=medium

  * debian/compat: Bump to 9.
  * debian/control:
    - Build-depend on debhelper (>= 9).
    - Use secure and canonical VCS URL.
  * debian/changelog: Fix typos
  * debian/rules:
    - Use dh_prep instead of dh_clean -k. 
    - Install apt-show-versions script in updated path.
  * debian/dirs:
    - Updated to use latest bash-completion path.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Mon, 06 Feb 2017 09:14:07 +0530

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: apt-show-versions
 Section: admin
 Priority: optional
-Maintainer: Christoph Martin <christoph.martin@uni-mainz.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Christoph Martin <christoph.martin@uni-mainz.de>
 Uploaders: Andreas Hoenen <andreas@hoenen-terstappen.de>
-Build-Depends: debhelper (>= 5)
+Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: po4a
 Standards-Version: 3.9.6
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-asv
-Vcs-Svn: svn://svn.debian.org/pkg-asv/
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-asv
+Vcs-Svn: https://anonscm.debian.org/pkg-asv/
 
 Package: apt-show-versions
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	# Add here commands to install the package into debian/apt-show-versions.
@@ -64,7 +64,7 @@
 	dh_installchangelogs 
 	install --preserve-timestamps --mode=644 \
                 apt-show-versions.bash_completion \
-                $(CURDIR)/debian/apt-show-versions/etc/bash_completion.d/apt-show-versions
+                $(CURDIR)/debian/apt-show-versions/usr/share/bash-completion/completions/apt-show-versions
 	dh_compress
 	dh_fixperms
 	dh_installdeb
